Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.logging
Interface ILogger

public interface ILogger

Defines the interface for logger instances, including logging methods and methods to test if various log levels are enabled. To create a logger object call `LogFactory.getLogger()` .

### Logging Levels

#### Severity-Based Logging Levels

- Debug - Provides a detailed descriptive message reporting a minor step taken in the code and/or providing variable values.
- Info - Reports a common operation that is of possible interest, for example, serving a new user request or making a remote procedure call. The IDK logging service sends an Info message to the "IDK" component when it is initialized.
- Warn - Indicates a possible problem which the person responsible for the application should be aware of. The IDK logging service sends a Warn message to the "IDK" component when it is initialized if verbose logging is enabled for logging instrumentation, since the network or application administrator should be aware of possible security implications of sending remote call parameters to a cleartext logging channel.
- Error - Indicates a definite problem which should to be corrected. The message should state and explain the problem and suggest how to fix it.
- Fatal - A problem so severe that the application cannot continue to function. The message should state the problem, explain why it is a problem, and suggest how to fix it. Examples might include inability to obtain necessary system or network resources.

#### Supplemental Logging Levels

- Action - Describes that some significant action has been taken. Examples of action traces include the beginning or ending of a startup routine or the start or completion of a new user request. Severity of Action traces are usually considered between Info and Warn.
- Function - Used at the very beginning and end of methods to illustrate code paths and provide context for messages occurring between the beginning and ending function messages.
- Performance - Used to measure operations that may be costly in time. Typically a pair of begin and end performance calls will bracket a blocking call to an operation of interest such as a disk read or write, remote call, external process invocation, database query, or large sort operation.

### Logging Performance Considerations

To minimize the performance cost of logging and avoid unnecessary work when constructing log messages, use an overload of one of the logging methods that inserts values into a format string. The overloads help reduce string concatenation. Also wrap any complex message construction in a conditional block to avoid doing the work if there are no listeners at that log level, following the example in the package summary.

Method Summary
`void` | `action(java.lang.String message)` Logs a message at the Action level.
`void` | `debug(java.lang.String message)` Logs a message at the Debug level.
`void` | `debug(java.lang.String formatString, boolean arg0)` Logs a message at the Debug level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `debug(java.lang.String formatString, boolean arg0, java.lang.Object arg1)` Logs a message at the Debug level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `debug(java.lang.String formatString, double arg0)` Logs a message at the Debug level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `debug(java.lang.String formatString, double arg0, java.lang.Object arg1)` Logs a message at the Debug level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `debug(java.lang.String formatString, long arg0)` Logs a message at the Debug level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `debug(java.lang.String formatString, long arg0, double arg1)` Logs a message at the Debug level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `debug(java.lang.String formatString, long arg0, long arg1)` Logs a message at the Debug level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `debug(java.lang.String formatString, long arg0, long arg1, long arg2)` Logs a message at the Debug level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `debug(java.lang.String formatString, long arg0, long arg1, long arg2, long arg3)` Logs a message at the Debug level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `debug(java.lang.String formatString, long arg0, long arg1, long arg2, long arg3, long arg4)` Logs a message at the Debug level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `debug(java.lang.String formatString, long arg0, java.lang.Object arg1)` Logs a message at the Debug level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `debug(java.lang.String formatString, java.lang.Object arg0)` Logs a message at the Debug level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `debug(java.lang.String formatString, java.lang.Object arg0, long arg1)` Logs a message at the Debug level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `debug(java.lang.String formatString, java.lang.Object arg0, long arg1, long arg2)` Logs a message at the Debug level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `debug(java.lang.String formatString, java.lang.Object arg0, java.lang.Object arg1)` Logs a message at the Debug level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `debug(java.lang.String formatString, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2)` Logs a message at the Debug level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `debug(java.lang.String formatString, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3)` Logs a message at the Debug level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `debug(java.lang.String formatString, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4)` Logs a message at the Debug level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `debug(java.lang.Throwable ex, java.lang.String message)` Logs a message at the Debug level including a representation of the supplied exception instance.
`void` | `debug(java.lang.Throwable ex, java.lang.String formatString, java.lang.Object arg0)` Logs a message at the Debug level, including a representation of the supplied exception instance, using the supplied format string as a message template and interpolating the string value of one to three additional arguments arg0-arg2 in place of tokens {0} {1} and {2} in the format string.
`void` | `debug(java.lang.Throwable ex, java.lang.String formatString, java.lang.Object arg0, java.lang.Object arg1)` Logs a message at the Debug level, including a representation of the supplied exception instance, using the supplied format string as a message template and interpolating the string value of one to three additional arguments arg0-arg2 in place of tokens {0} {1} and {2} in the format string.
`void` | `debug(java.lang.Throwable ex, java.lang.String formatString, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2)` Logs a message at the Debug level, including a representation of the supplied exception instance, using the supplied format string as a message template and interpolating the string value of one to three additional arguments arg0-arg2 in place of tokens {0} {1} and {2} in the format string.
`void` | `error(java.lang.String message)` Logs a message at the Error level.
`void` | `error(java.lang.String formatString, boolean arg0)` Logs a message at the Error level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `error(java.lang.String formatString, boolean arg0, java.lang.Object arg1)` Logs a message at the Error level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `error(java.lang.String formatString, double arg0)` Logs a message at the Error level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `error(java.lang.String formatString, double arg0, java.lang.Object arg1)` Logs a message at the Error level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `error(java.lang.String formatString, long arg0)` Logs a message at the Error level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `error(java.lang.String formatString, long arg0, double arg1)` Logs a message at the Error level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `error(java.lang.String formatString, long arg0, long arg1)` Logs a message at the Error level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `error(java.lang.String formatString, long arg0, long arg1, long arg2)` Logs a message at the Error level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `error(java.lang.String formatString, long arg0, long arg1, long arg2, long arg3)` Logs a message at the Error level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `error(java.lang.String formatString, long arg0, long arg1, long arg2, long arg3, long arg4)` Logs a message at the Error level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `error(java.lang.String formatString, long arg0, java.lang.Object arg1)` Logs a message at the Error level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `error(java.lang.String formatString, java.lang.Object arg0)` Logs a message at the Error level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `error(java.lang.String formatString, java.lang.Object arg0, long arg1)` Logs a message at the Error level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `error(java.lang.String formatString, java.lang.Object arg0, long arg1, long arg2)` Logs a message at the Error level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `error(java.lang.String formatString, java.lang.Object arg0, java.lang.Object arg1)` Logs a message at the Error level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `error(java.lang.String formatString, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2)` Logs a message at the Error level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `error(java.lang.String formatString, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3)` Logs a message at the Error level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `error(java.lang.String formatString, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4)` Logs a message at the Error level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `error(java.lang.Throwable ex, java.lang.String message)` Logs a message at the Error level including a representation of the supplied exception instance.
`void` | `error(java.lang.Throwable ex, java.lang.String formatString, java.lang.Object arg0)` Logs a message at the Error level, including a representation of the supplied exception instance, using the supplied format string as a message template and interpolating the string value of one to three additional arguments arg0-arg2 in place of tokens {0} {1} and {2} in the format string.
`void` | `error(java.lang.Throwable ex, java.lang.String formatString, java.lang.Object arg0, java.lang.Object arg1)` Logs a message at the Error level, including a representation of the supplied exception instance, using the supplied format string as a message template and interpolating the string value of one to three additional arguments arg0-arg2 in place of tokens {0} {1} and {2} in the format string.
`void` | `error(java.lang.Throwable ex, java.lang.String formatString, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2)` Logs a message at the Error level, including a representation of the supplied exception instance, using the supplied format string as a message template and interpolating the string value of one to three additional arguments arg0-arg2 in place of tokens {0} {1} and {2} in the format string.
`void` | `fatal(java.lang.String message)` Logs a message at the Fatal level.
`void` | `fatal(java.lang.String formatString, boolean arg0)` Logs a message at the Fatal level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `fatal(java.lang.String formatString, boolean arg0, java.lang.Object arg1)` Logs a message at the Fatal level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `fatal(java.lang.String formatString, double arg0)` Logs a message at the Fatal level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `fatal(java.lang.String formatString, double arg0, java.lang.Object arg1)` Logs a message at the Fatal level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `fatal(java.lang.String formatString, long arg0)` Logs a message at the Fatal level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `fatal(java.lang.String formatString, long arg0, double arg1)` Logs a message at the Fatal level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `fatal(java.lang.String formatString, long arg0, long arg1)` Logs a message at the Fatal level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `fatal(java.lang.String formatString, long arg0, long arg1, long arg2)` Logs a message at the Fatal level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `fatal(java.lang.String formatString, long arg0, long arg1, long arg2, long arg3)` Logs a message at the Fatal level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `fatal(java.lang.String formatString, long arg0, long arg1, long arg2, long arg3, long arg4)` Logs a message at the Fatal level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `fatal(java.lang.String formatString, long arg0, java.lang.Object arg1)` Logs a message at the Fatal level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `fatal(java.lang.String formatString, java.lang.Object arg0)` Logs a message at the Fatal level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `fatal(java.lang.String formatString, java.lang.Object arg0, long arg1)` Logs a message at the Fatal level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `fatal(java.lang.String formatString, java.lang.Object arg0, long arg1, long arg2)` Logs a message at the Fatal level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `fatal(java.lang.String formatString, java.lang.Object arg0, java.lang.Object arg1)` Logs a message at the Fatal level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `fatal(java.lang.String formatString, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2)` Logs a message at the Fatal level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `fatal(java.lang.String formatString, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3)` Logs a message at the Fatal level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `fatal(java.lang.String formatString, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4)` Logs a message at the Fatal level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `fatal(java.lang.Throwable ex, java.lang.String message)` Logs a message at the Fatal level including a representation of the supplied exception instance.
`void` | `fatal(java.lang.Throwable ex, java.lang.String formatString, java.lang.Object arg0)` Logs a message at the Fatal level, including a representation of the supplied exception instance, using the supplied format string as a message template and interpolating the string value of one to three additional arguments arg0-arg2 in place of tokens {0} {1} and {2} in the format string.
`void` | `fatal(java.lang.Throwable ex, java.lang.String formatString, java.lang.Object arg0, java.lang.Object arg1)` Logs a message at the Fatal level, including a representation of the supplied exception instance, using the supplied format string as a message template and interpolating the string value of one to three additional arguments arg0-arg2 in place of tokens {0} {1} and {2} in the format string.
`void` | `fatal(java.lang.Throwable ex, java.lang.String formatString, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2)` Logs a message at the Fatal level, including a representation of the supplied exception instance, using the supplied format string as a message template and interpolating the string value of one to three additional arguments arg0-arg2 in place of tokens {0} {1} and {2} in the format string.
`void` | `functionBegin(java.lang.String functionName)` Logs a message at the Function Level indicating that the function with the given name is being entered.
`void` | `functionEnd(java.lang.String functionName)` Logs a message at the Function Level indicating that the function with the given name is being exited.
`void` | `info(java.lang.String message)` Logs a message at the Info level.
`void` | `info(java.lang.String formatString, boolean arg0)` Logs a message at the Info level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `info(java.lang.String formatString, boolean arg0, java.lang.Object arg1)` Logs a message at the Info level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `info(java.lang.String formatString, double arg0)` Logs a message at the Info level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `info(java.lang.String formatString, double arg0, java.lang.Object arg1)` Logs a message at the Info level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `info(java.lang.String formatString, long arg0)` Logs a message at the Info level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `info(java.lang.String formatString, long arg0, double arg1)` Logs a message at the Info level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `info(java.lang.String formatString, long arg0, long arg1)` Logs a message at the Info level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `info(java.lang.String formatString, long arg0, long arg1, long arg2)` Logs a message at the Info level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `info(java.lang.String formatString, long arg0, long arg1, long arg2, long arg3)` Logs a message at the Info level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `info(java.lang.String formatString, long arg0, long arg1, long arg2, long arg3, long arg4)` Logs a message at the Info level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `info(java.lang.String formatString, long arg0, java.lang.Object arg1)` Logs a message at the Info level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `info(java.lang.String formatString, java.lang.Object arg0)` Logs a message at the Info level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `info(java.lang.String formatString, java.lang.Object arg0, long arg1)` Logs a message at the Info level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `info(java.lang.String formatString, java.lang.Object arg0, long arg1, long arg2)` Logs a message at the Info level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `info(java.lang.String formatString, java.lang.Object arg0, java.lang.Object arg1)` Logs a message at the Info level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `info(java.lang.String formatString, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2)` Logs a message at the Info level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `info(java.lang.String formatString, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3)` Logs a message at the Info level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `info(java.lang.String formatString, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4)` Logs a message at the Info level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `info(java.lang.Throwable ex, java.lang.String message)` Logs a message at the Info level including a representation of the supplied exception instance.
`void` | `info(java.lang.Throwable ex, java.lang.String formatString, java.lang.Object arg0)` Logs a message at the Info level, including a representation of the supplied exception instance, using the supplied format string as a message template and interpolating the string value of one to three additional arguments arg0-arg2 in place of tokens {0} {1} and {2} in the format string.
`void` | `info(java.lang.Throwable ex, java.lang.String formatString, java.lang.Object arg0, java.lang.Object arg1)` Logs a message at the Info level, including a representation of the supplied exception instance, using the supplied format string as a message template and interpolating the string value of one to three additional arguments arg0-arg2 in place of tokens {0} {1} and {2} in the format string.
`void` | `info(java.lang.Throwable ex, java.lang.String formatString, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2)` Logs a message at the Info level, including a representation of the supplied exception instance, using the supplied format string as a message template and interpolating the string value of one to three additional arguments arg0-arg2 in place of tokens {0} {1} and {2} in the format string.
`boolean` | `isActionEnabled()` Gets a boolean representing whether or not Action level logging is enabled.
`boolean` | `isDebugEnabled()` Gets a boolean representing whether or not Debug level logging is enabled.
`boolean` | `isErrorEnabled()` Gets a boolean representing whether or not Error level logging is enabled.
`boolean` | `isFatalEnabled()` Gets a boolean representing whether or not Fatal level logging is enabled.
`boolean` | `isFunctionEnabled()` Gets a boolean representing whether or not Function level logging is enabled.
`boolean` | `isInfoEnabled()` Gets a boolean representing whether or not Info level logging is enabled.
`boolean` | `isPerformanceEnabled()` Gets a boolean representing whether or not Performance level logging is enabled.
`boolean` | `isWarnEnabled()` Gets a boolean representing whether or not Warn level logging is enabled.
`long` | `performanceBegin()` Creates a timestamp which marks the start of a code performance measurement, typically used before a blocking call that might take several hundred milliseconds.
`void` | `performanceEnd(java.lang.String message, long startTime)` Logs a performance measurement message at the Performance level including the time elapsed since the matching call to performanceBegin that created the supplied startTime value.
`void` | `warn(java.lang.String message)` Logs a message at the Warn level.
`void` | `warn(java.lang.String formatString, boolean arg0)` Logs a message at the Warn level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `warn(java.lang.String formatString, boolean arg0, java.lang.Object arg1)` Logs a message at the Warn level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `warn(java.lang.String formatString, double arg0)` Logs a message at the Warn level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `warn(java.lang.String formatString, double arg0, java.lang.Object arg1)` Logs a message at the Warn level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `warn(java.lang.String formatString, long arg0)` Logs a message at the Warn level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `warn(java.lang.String formatString, long arg0, double arg1)` Logs a message at the Warn level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `warn(java.lang.String formatString, long arg0, long arg1)` Logs a message at the Warn level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `warn(java.lang.String formatString, long arg0, long arg1, long arg2)` Logs a message at the Warn level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `warn(java.lang.String formatString, long arg0, long arg1, long arg2, long arg3)` Logs a message at the Warn level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `warn(java.lang.String formatString, long arg0, long arg1, long arg2, long arg3, long arg4)` Logs a message at the Warn level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `warn(java.lang.String formatString, long arg0, java.lang.Object arg1)` Logs a message at the Warn level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `warn(java.lang.String formatString, java.lang.Object arg0)` Logs a message at the Warn level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `warn(java.lang.String formatString, java.lang.Object arg0, long arg1)` Logs a message at the Warn level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `warn(java.lang.String formatString, java.lang.Object arg0, long arg1, long arg2)` Logs a message at the Warn level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `warn(java.lang.String formatString, java.lang.Object arg0, java.lang.Object arg1)` Logs a message at the Warn level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `warn(java.lang.String formatString, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2)` Logs a message at the Warn level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `warn(java.lang.String formatString, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3)` Logs a message at the Warn level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `warn(java.lang.String formatString, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4)` Logs a message at the Warn level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.
`void` | `warn(java.lang.Throwable ex, java.lang.String message)` Logs a message at the Warn level including a representation of the supplied exception instance.
`void` | `warn(java.lang.Throwable ex, java.lang.String formatString, java.lang.Object arg0)` Logs a message at the Warn level, including a representation of the supplied exception instance, using the supplied format string as a message template and interpolating the string value of one to three additional arguments arg0-arg2 in place of tokens {0} {1} and {2} in the format string.
`void` | `warn(java.lang.Throwable ex, java.lang.String formatString, java.lang.Object arg0, java.lang.Object arg1)` Logs a message at the Warn level, including a representation of the supplied exception instance, using the supplied format string as a message template and interpolating the string value of one to three additional arguments arg0-arg2 in place of tokens {0} {1} and {2} in the format string.
`void` | `warn(java.lang.Throwable ex, java.lang.String formatString, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2)` Logs a message at the Warn level, including a representation of the supplied exception instance, using the supplied format string as a message template and interpolating the string value of one to three additional arguments arg0-arg2 in place of tokens {0} {1} and {2} in the format string.

Method Detail

### action

    public void action(java.lang.String message)

  Logs a message at the Action level. An action message describes that some significant action was taken. Examples of Action traces include a notification that a start-up routine is beginning or ending, or a notification that a new user request is waiting to be serviced or completed. Action traces are usually considered between Info and Warn in terms of severity.

  Parameters:
    `message` - the message to log

### debug

    public void debug(java.lang.String message)

  Logs a message at the Debug level.

  Parameters:
    `message` - the message to log

### debug

    public void debug(java.lang.Throwable ex,
                      java.lang.String message)

  Logs a message at the Debug level including a representation of the supplied exception instance.

  Parameters:
    `ex` - an exception to render along with the message
    `message` - the message to log

### debug

    public void debug(java.lang.String formatString,
                      java.lang.Object arg0)

  Logs a message at the Debug level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### debug

    public void debug(java.lang.String formatString,
                      java.lang.Object arg0,
                      java.lang.Object arg1)

  Logs a message at the Debug level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### debug

    public void debug(java.lang.String formatString,
                      java.lang.Object arg0,
                      java.lang.Object arg1,
                      java.lang.Object arg2)

  Logs a message at the Debug level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### debug

    public void debug(java.lang.String formatString,
                      java.lang.Object arg0,
                      java.lang.Object arg1,
                      java.lang.Object arg2,
                      java.lang.Object arg3)

  Logs a message at the Debug level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### debug

    public void debug(java.lang.String formatString,
                      java.lang.Object arg0,
                      java.lang.Object arg1,
                      java.lang.Object arg2,
                      java.lang.Object arg3,
                      java.lang.Object arg4)

  Logs a message at the Debug level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### debug

    public void debug(java.lang.String formatString,
                      long arg0)

  Logs a message at the Debug level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### debug

    public void debug(java.lang.String formatString,
                      long arg0,
                      java.lang.Object arg1)

  Logs a message at the Debug level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### debug

    public void debug(java.lang.String formatString,
                      java.lang.Object arg0,
                      long arg1)

  Logs a message at the Debug level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### debug

    public void debug(java.lang.String formatString,
                      java.lang.Object arg0,
                      long arg1,
                      long arg2)

  Logs a message at the Debug level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### debug

    public void debug(java.lang.String formatString,
                      long arg0,
                      long arg1)

  Logs a message at the Debug level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### debug

    public void debug(java.lang.String formatString,
                      long arg0,
                      long arg1,
                      long arg2)

  Logs a message at the Debug level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### debug

    public void debug(java.lang.String formatString,
                      long arg0,
                      long arg1,
                      long arg2,
                      long arg3)

  Logs a message at the Debug level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### debug

    public void debug(java.lang.String formatString,
                      long arg0,
                      long arg1,
                      long arg2,
                      long arg3,
                      long arg4)

  Logs a message at the Debug level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### debug

    public void debug(java.lang.String formatString,
                      long arg0,
                      double arg1)

  Logs a message at the Debug level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### debug

    public void debug(java.lang.String formatString,
                      boolean arg0)

  Logs a message at the Debug level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### debug

    public void debug(java.lang.String formatString,
                      boolean arg0,
                      java.lang.Object arg1)

  Logs a message at the Debug level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### debug

    public void debug(java.lang.String formatString,
                      double arg0)

  Logs a message at the Debug level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### debug

    public void debug(java.lang.String formatString,
                      double arg0,
                      java.lang.Object arg1)

  Logs a message at the Debug level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### debug

    public void debug(java.lang.Throwable ex,
                      java.lang.String formatString,
                      java.lang.Object arg0)

  Logs a message at the Debug level, including a representation of the supplied exception instance, using the supplied format string as a message template and interpolating the string value of one to three additional arguments arg0-arg2 in place of tokens {0} {1} and {2} in the format string.

  Parameters:
    `ex` - an exception instance to accompany the formatted message
    `formatString` - a string message template containing substitution tokens

### debug

    public void debug(java.lang.Throwable ex,
                      java.lang.String formatString,
                      java.lang.Object arg0,
                      java.lang.Object arg1)

  Logs a message at the Debug level, including a representation of the supplied exception instance, using the supplied format string as a message template and interpolating the string value of one to three additional arguments arg0-arg2 in place of tokens {0} {1} and {2} in the format string.

  Parameters:
    `ex` - an exception instance to accompany the formatted message
    `formatString` - a string message template containing substitution tokens

### debug

    public void debug(java.lang.Throwable ex,
                      java.lang.String formatString,
                      java.lang.Object arg0,
                      java.lang.Object arg1,
                      java.lang.Object arg2)

  Logs a message at the Debug level, including a representation of the supplied exception instance, using the supplied format string as a message template and interpolating the string value of one to three additional arguments arg0-arg2 in place of tokens {0} {1} and {2} in the format string.

  Parameters:
    `ex` - an exception instance to accompany the formatted message
    `formatString` - a string message template containing substitution tokens

### error

    public void error(java.lang.String message)

  Logs a message at the Error level.

  Parameters:
    `message` - the message to log

### error

    public void error(java.lang.Throwable ex,
                      java.lang.String message)

  Logs a message at the Error level including a representation of the supplied exception instance.

  Parameters:
    `ex` - an exception to render along with the message
    `message` - the message to log

### error

    public void error(java.lang.String formatString,
                      java.lang.Object arg0)

  Logs a message at the Error level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### error

    public void error(java.lang.String formatString,
                      java.lang.Object arg0,
                      java.lang.Object arg1)

  Logs a message at the Error level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### error

    public void error(java.lang.String formatString,
                      java.lang.Object arg0,
                      java.lang.Object arg1,
                      java.lang.Object arg2)

  Logs a message at the Error level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### error

    public void error(java.lang.String formatString,
                      java.lang.Object arg0,
                      java.lang.Object arg1,
                      java.lang.Object arg2,
                      java.lang.Object arg3)

  Logs a message at the Error level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### error

    public void error(java.lang.String formatString,
                      java.lang.Object arg0,
                      java.lang.Object arg1,
                      java.lang.Object arg2,
                      java.lang.Object arg3,
                      java.lang.Object arg4)

  Logs a message at the Error level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### error

    public void error(java.lang.String formatString,
                      long arg0)

  Logs a message at the Error level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### error

    public void error(java.lang.String formatString,
                      long arg0,
                      java.lang.Object arg1)

  Logs a message at the Error level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### error

    public void error(java.lang.String formatString,
                      java.lang.Object arg0,
                      long arg1)

  Logs a message at the Error level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### error

    public void error(java.lang.String formatString,
                      java.lang.Object arg0,
                      long arg1,
                      long arg2)

  Logs a message at the Error level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### error

    public void error(java.lang.String formatString,
                      long arg0,
                      long arg1)

  Logs a message at the Error level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### error

    public void error(java.lang.String formatString,
                      long arg0,
                      long arg1,
                      long arg2)

  Logs a message at the Error level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### error

    public void error(java.lang.String formatString,
                      long arg0,
                      long arg1,
                      long arg2,
                      long arg3)

  Logs a message at the Error level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### error

    public void error(java.lang.String formatString,
                      long arg0,
                      long arg1,
                      long arg2,
                      long arg3,
                      long arg4)

  Logs a message at the Error level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### error

    public void error(java.lang.String formatString,
                      long arg0,
                      double arg1)

  Logs a message at the Error level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### error

    public void error(java.lang.String formatString,
                      boolean arg0)

  Logs a message at the Error level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### error

    public void error(java.lang.String formatString,
                      boolean arg0,
                      java.lang.Object arg1)

  Logs a message at the Error level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### error

    public void error(java.lang.String formatString,
                      double arg0)

  Logs a message at the Error level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### error

    public void error(java.lang.String formatString,
                      double arg0,
                      java.lang.Object arg1)

  Logs a message at the Error level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### error

    public void error(java.lang.Throwable ex,
                      java.lang.String formatString,
                      java.lang.Object arg0)

  Logs a message at the Error level, including a representation of the supplied exception instance, using the supplied format string as a message template and interpolating the string value of one to three additional arguments arg0-arg2 in place of tokens {0} {1} and {2} in the format string.

  Parameters:
    `ex` - an exception instance to accompany the formatted message
    `formatString` - a string message template containing substitution tokens

### error

    public void error(java.lang.Throwable ex,
                      java.lang.String formatString,
                      java.lang.Object arg0,
                      java.lang.Object arg1)

  Logs a message at the Error level, including a representation of the supplied exception instance, using the supplied format string as a message template and interpolating the string value of one to three additional arguments arg0-arg2 in place of tokens {0} {1} and {2} in the format string.

  Parameters:
    `ex` - an exception instance to accompany the formatted message
    `formatString` - a string message template containing substitution tokens

### error

    public void error(java.lang.Throwable ex,
                      java.lang.String formatString,
                      java.lang.Object arg0,
                      java.lang.Object arg1,
                      java.lang.Object arg2)

  Logs a message at the Error level, including a representation of the supplied exception instance, using the supplied format string as a message template and interpolating the string value of one to three additional arguments arg0-arg2 in place of tokens {0} {1} and {2} in the format string.

  Parameters:
    `ex` - an exception instance to accompany the formatted message
    `formatString` - a string message template containing substitution tokens

### fatal

    public void fatal(java.lang.String message)

  Logs a message at the Fatal level.

  Parameters:
    `message` - the message to log

### fatal

    public void fatal(java.lang.Throwable ex,
                      java.lang.String message)

  Logs a message at the Fatal level including a representation of the supplied exception instance.

  Parameters:
    `ex` - an exception to render along with the message
    `message` - the message to log

### fatal

    public void fatal(java.lang.String formatString,
                      java.lang.Object arg0)

  Logs a message at the Fatal level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### fatal

    public void fatal(java.lang.String formatString,
                      java.lang.Object arg0,
                      java.lang.Object arg1)

  Logs a message at the Fatal level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### fatal

    public void fatal(java.lang.String formatString,
                      java.lang.Object arg0,
                      java.lang.Object arg1,
                      java.lang.Object arg2)

  Logs a message at the Fatal level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### fatal

    public void fatal(java.lang.String formatString,
                      java.lang.Object arg0,
                      java.lang.Object arg1,
                      java.lang.Object arg2,
                      java.lang.Object arg3)

  Logs a message at the Fatal level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### fatal

    public void fatal(java.lang.String formatString,
                      java.lang.Object arg0,
                      java.lang.Object arg1,
                      java.lang.Object arg2,
                      java.lang.Object arg3,
                      java.lang.Object arg4)

  Logs a message at the Fatal level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### fatal

    public void fatal(java.lang.String formatString,
                      long arg0)

  Logs a message at the Fatal level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### fatal

    public void fatal(java.lang.String formatString,
                      long arg0,
                      java.lang.Object arg1)

  Logs a message at the Fatal level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### fatal

    public void fatal(java.lang.String formatString,
                      java.lang.Object arg0,
                      long arg1)

  Logs a message at the Fatal level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### fatal

    public void fatal(java.lang.String formatString,
                      java.lang.Object arg0,
                      long arg1,
                      long arg2)

  Logs a message at the Fatal level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### fatal

    public void fatal(java.lang.String formatString,
                      long arg0,
                      long arg1)

  Logs a message at the Fatal level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### fatal

    public void fatal(java.lang.String formatString,
                      long arg0,
                      long arg1,
                      long arg2)

  Logs a message at the Fatal level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### fatal

    public void fatal(java.lang.String formatString,
                      long arg0,
                      long arg1,
                      long arg2,
                      long arg3)

  Logs a message at the Fatal level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### fatal

    public void fatal(java.lang.String formatString,
                      long arg0,
                      long arg1,
                      long arg2,
                      long arg3,
                      long arg4)

  Logs a message at the Fatal level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### fatal

    public void fatal(java.lang.String formatString,
                      long arg0,
                      double arg1)

  Logs a message at the Fatal level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### fatal

    public void fatal(java.lang.String formatString,
                      boolean arg0)

  Logs a message at the Fatal level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### fatal

    public void fatal(java.lang.String formatString,
                      boolean arg0,
                      java.lang.Object arg1)

  Logs a message at the Fatal level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### fatal

    public void fatal(java.lang.String formatString,
                      double arg0)

  Logs a message at the Fatal level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### fatal

    public void fatal(java.lang.String formatString,
                      double arg0,
                      java.lang.Object arg1)

  Logs a message at the Fatal level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### fatal

    public void fatal(java.lang.Throwable ex,
                      java.lang.String formatString,
                      java.lang.Object arg0)

  Logs a message at the Fatal level, including a representation of the supplied exception instance, using the supplied format string as a message template and interpolating the string value of one to three additional arguments arg0-arg2 in place of tokens {0} {1} and {2} in the format string.

  Parameters:
    `ex` - an exception instance to accompany the formatted message
    `formatString` - a string message template containing substitution tokens

### fatal

    public void fatal(java.lang.Throwable ex,
                      java.lang.String formatString,
                      java.lang.Object arg0,
                      java.lang.Object arg1)

  Logs a message at the Fatal level, including a representation of the supplied exception instance, using the supplied format string as a message template and interpolating the string value of one to three additional arguments arg0-arg2 in place of tokens {0} {1} and {2} in the format string.

  Parameters:
    `ex` - an exception instance to accompany the formatted message
    `formatString` - a string message template containing substitution tokens

### fatal

    public void fatal(java.lang.Throwable ex,
                      java.lang.String formatString,
                      java.lang.Object arg0,
                      java.lang.Object arg1,
                      java.lang.Object arg2)

  Logs a message at the Fatal level, including a representation of the supplied exception instance, using the supplied format string as a message template and interpolating the string value of one to three additional arguments arg0-arg2 in place of tokens {0} {1} and {2} in the format string.

  Parameters:
    `ex` - an exception instance to accompany the formatted message
    `formatString` - a string message template containing substitution tokens

### functionBegin

    public void functionBegin(java.lang.String functionName)

  Logs a message at the Function Level indicating that the function with the given name is being entered. Use at the beginning of a function to illustrate code paths or to help localize log messages between begin and end calls.

  Parameters:
    `functionName` - the name of the function being entered.

### functionEnd

    public void functionEnd(java.lang.String functionName)

  Logs a message at the Function Level indicating that the function with the given name is being exited. Use at the end of a function to illustrate code paths or to help localize log messages between begin and end calls.

  Parameters:
    `functionName` - the name of the function being exited

### info

    public void info(java.lang.String message)

  Logs a message at the Info level.

  Parameters:
    `message` - the message to log

### info

    public void info(java.lang.Throwable ex,
                     java.lang.String message)

  Logs a message at the Info level including a representation of the supplied exception instance.

  Parameters:
    `ex` - an exception to render along with the message.
    `message` - the message to log

### info

    public void info(java.lang.String formatString,
                     java.lang.Object arg0)

  Logs a message at the Info level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### info

    public void info(java.lang.String formatString,
                     java.lang.Object arg0,
                     java.lang.Object arg1)

  Logs a message at the Info level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### info

    public void info(java.lang.String formatString,
                     java.lang.Object arg0,
                     java.lang.Object arg1,
                     java.lang.Object arg2)

  Logs a message at the Info level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### info

    public void info(java.lang.String formatString,
                     java.lang.Object arg0,
                     java.lang.Object arg1,
                     java.lang.Object arg2,
                     java.lang.Object arg3)

  Logs a message at the Info level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### info

    public void info(java.lang.String formatString,
                     java.lang.Object arg0,
                     java.lang.Object arg1,
                     java.lang.Object arg2,
                     java.lang.Object arg3,
                     java.lang.Object arg4)

  Logs a message at the Info level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### info

    public void info(java.lang.String formatString,
                     long arg0)

  Logs a message at the Info level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### info

    public void info(java.lang.String formatString,
                     long arg0,
                     java.lang.Object arg1)

  Logs a message at the Info level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### info

    public void info(java.lang.String formatString,
                     java.lang.Object arg0,
                     long arg1)

  Logs a message at the Info level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### info

    public void info(java.lang.String formatString,
                     java.lang.Object arg0,
                     long arg1,
                     long arg2)

  Logs a message at the Info level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### info

    public void info(java.lang.String formatString,
                     long arg0,
                     long arg1)

  Logs a message at the Info level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### info

    public void info(java.lang.String formatString,
                     long arg0,
                     long arg1,
                     long arg2)

  Logs a message at the Info level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### info

    public void info(java.lang.String formatString,
                     long arg0,
                     long arg1,
                     long arg2,
                     long arg3)

  Logs a message at the Info level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### info

    public void info(java.lang.String formatString,
                     long arg0,
                     long arg1,
                     long arg2,
                     long arg3,
                     long arg4)

  Logs a message at the Info level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### info

    public void info(java.lang.String formatString,
                     long arg0,
                     double arg1)

  Logs a message at the Info level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### info

    public void info(java.lang.String formatString,
                     boolean arg0)

  Logs a message at the Info level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### info

    public void info(java.lang.String formatString,
                     boolean arg0,
                     java.lang.Object arg1)

  Logs a message at the Info level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### info

    public void info(java.lang.String formatString,
                     double arg0)

  Logs a message at the Info level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### info

    public void info(java.lang.String formatString,
                     double arg0,
                     java.lang.Object arg1)

  Logs a message at the Info level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### info

    public void info(java.lang.Throwable ex,
                     java.lang.String formatString,
                     java.lang.Object arg0)

  Logs a message at the Info level, including a representation of the supplied exception instance, using the supplied format string as a message template and interpolating the string value of one to three additional arguments arg0-arg2 in place of tokens {0} {1} and {2} in the format string.

  Parameters:
    `ex` - an exception instance to accompany the formatted message
    `formatString` - a string message template containing substitution tokens

### info

    public void info(java.lang.Throwable ex,
                     java.lang.String formatString,
                     java.lang.Object arg0,
                     java.lang.Object arg1)

  Logs a message at the Info level, including a representation of the supplied exception instance, using the supplied format string as a message template and interpolating the string value of one to three additional arguments arg0-arg2 in place of tokens {0} {1} and {2} in the format string.

  Parameters:
    `ex` - an exception instance to accompany the formatted message
    `formatString` - a string message template containing substitution tokens

### info

    public void info(java.lang.Throwable ex,
                     java.lang.String formatString,
                     java.lang.Object arg0,
                     java.lang.Object arg1,
                     java.lang.Object arg2)

  Logs a message at the Info level, including a representation of the supplied exception instance, using the supplied format string as a message template and interpolating the string value of one to three additional arguments arg0-arg2 in place of tokens {0} {1} and {2} in the format string.

  Parameters:
    `ex` - an exception instance to accompany the formatted message
    `formatString` - a string message template containing substitution tokens

### performanceBegin

    public long performanceBegin()

  Creates a timestamp which marks the start of a code performance measurement, typically used before a blocking call that might take several hundred milliseconds.

  Returns:
    a value representing the time at the start of a performance measurement

### performanceEnd

    public void performanceEnd(java.lang.String message,
                               long startTime)

  Logs a performance measurement message at the Performance level including the time elapsed since the matching call to performanceBegin that created the supplied startTime value.

  Parameters:
    `message` - the log message to display along with the performance measurement
    `startTime` - the value from the matching performanceBegin call

### warn

    public void warn(java.lang.String message)

  Logs a message at the Warn level.

  Parameters:
    `message` - the message to log

### warn

    public void warn(java.lang.Throwable ex,
                     java.lang.String message)

  Logs a message at the Warn level including a representation of the supplied exception instance.

  Parameters:
    `ex` - an exception to render along with the message
    `message` - the message to log

### warn

    public void warn(java.lang.String formatString,
                     java.lang.Object arg0)

  Logs a message at the Warn level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### warn

    public void warn(java.lang.String formatString,
                     java.lang.Object arg0,
                     java.lang.Object arg1)

  Logs a message at the Warn level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### warn

    public void warn(java.lang.String formatString,
                     java.lang.Object arg0,
                     java.lang.Object arg1,
                     java.lang.Object arg2)

  Logs a message at the Warn level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### warn

    public void warn(java.lang.String formatString,
                     java.lang.Object arg0,
                     java.lang.Object arg1,
                     java.lang.Object arg2,
                     java.lang.Object arg3)

  Logs a message at the Warn level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### warn

    public void warn(java.lang.String formatString,
                     java.lang.Object arg0,
                     java.lang.Object arg1,
                     java.lang.Object arg2,
                     java.lang.Object arg3,
                     java.lang.Object arg4)

  Logs a message at the Warn level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### warn

    public void warn(java.lang.String formatString,
                     long arg0)

  Logs a message at the Warn level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### warn

    public void warn(java.lang.String formatString,
                     long arg0,
                     java.lang.Object arg1)

  Logs a message at the Warn level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### warn

    public void warn(java.lang.String formatString,
                     java.lang.Object arg0,
                     long arg1)

  Logs a message at the Warn level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### warn

    public void warn(java.lang.String formatString,
                     java.lang.Object arg0,
                     long arg1,
                     long arg2)

  Logs a message at the Warn level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### warn

    public void warn(java.lang.String formatString,
                     long arg0,
                     long arg1)

  Logs a message at the Warn level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### warn

    public void warn(java.lang.String formatString,
                     long arg0,
                     long arg1,
                     long arg2)

  Logs a message at the Warn level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### warn

    public void warn(java.lang.String formatString,
                     long arg0,
                     long arg1,
                     long arg2,
                     long arg3)

  Logs a message at the Warn level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### warn

    public void warn(java.lang.String formatString,
                     long arg0,
                     long arg1,
                     long arg2,
                     long arg3,
                     long arg4)

  Logs a message at the Warn level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### warn

    public void warn(java.lang.String formatString,
                     long arg0,
                     double arg1)

  Logs a message at the Warn level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### warn

    public void warn(java.lang.String formatString,
                     boolean arg0)

  Logs a message at the Warn level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### warn

    public void warn(java.lang.String formatString,
                     boolean arg0,
                     java.lang.Object arg1)

  Logs a message at the Warn level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### warn

    public void warn(java.lang.String formatString,
                     double arg0)

  Logs a message at the Warn level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### warn

    public void warn(java.lang.String formatString,
                     double arg0,
                     java.lang.Object arg1)

  Logs a message at the Warn level using the supplied format string as a message template and interpolating the string value of one to five additional arguments arg0-arg4 in place of tokens {0} {1} {2} {3} and {4} in the format string.

  Parameters:
    `formatString` - a string message template containing substitution tokens

### warn

    public void warn(java.lang.Throwable ex,
                     java.lang.String formatString,
                     java.lang.Object arg0)

  Logs a message at the Warn level, including a representation of the supplied exception instance, using the supplied format string as a message template and interpolating the string value of one to three additional arguments arg0-arg2 in place of tokens {0} {1} and {2} in the format string.

  Parameters:
    `ex` - an exception instance to accompany the formatted message
    `formatString` - a string message template containing substitution tokens

### warn

    public void warn(java.lang.Throwable ex,
                     java.lang.String formatString,
                     java.lang.Object arg0,
                     java.lang.Object arg1)

  Logs a message at the Warn level, including a representation of the supplied exception instance, using the supplied format string as a message template and interpolating the string value of one to three additional arguments arg0-arg2 in place of tokens {0} {1} and {2} in the format string.

  Parameters:
    `ex` - an exception instance to accompany the formatted message.
    `formatString` - a string message template containing substitution tokens

### warn

    public void warn(java.lang.Throwable ex,
                     java.lang.String formatString,
                     java.lang.Object arg0,
                     java.lang.Object arg1,
                     java.lang.Object arg2)

  Logs a message at the Warn level, including a representation of the supplied exception instance, using the supplied format string as a message template and interpolating the string value of one to three additional arguments arg0-arg2 in place of tokens {0} {1} and {2} in the format string.

  Parameters:
    `ex` - an exception instance to accompany the formatted message
    `formatString` - a string message template containing substitution tokens

### isActionEnabled

    public boolean isActionEnabled()

  Gets a boolean representing whether or not Action level logging is enabled.

  Returns:
    `true` if Action level logging is enabled otherwise `false`

### isDebugEnabled

    public boolean isDebugEnabled()

  Gets a boolean representing whether or not Debug level logging is enabled.

  Returns:
    `true` if Debug level logging is enabled otherwise `false`

### isErrorEnabled

    public boolean isErrorEnabled()

  Gets a boolean representing whether or not Error level logging is enabled.

  Returns:
    `true` if Error level logging is enabled otherwise `false`

### isFatalEnabled

    public boolean isFatalEnabled()

  Gets a boolean representing whether or not Fatal level logging is enabled.

  Returns:
    `true` if Fatal level logging is enabled otherwise `false`

### isFunctionEnabled

    public boolean isFunctionEnabled()

  Gets a boolean representing whether or not Function level logging is enabled.

  Returns:
    `true` if Function level logging is enabled otherwise `false`

### isInfoEnabled

    public boolean isInfoEnabled()

  Gets a boolean representing whether or not Info level logging is enabled.

  Returns:
    `true` if Info level logging is enabled otherwise `false`

### isPerformanceEnabled

    public boolean isPerformanceEnabled()

  Gets a boolean representing whether or not Performance level logging is enabled.

  Returns:
    `true` if Performance level logging is enabled otherwise `false`

### isWarnEnabled

    public boolean isWarnEnabled()

  Gets a boolean representing whether or not Warn level logging is enabled.

  Returns:
    `true` if Warn level logging is enabled otherwise `false`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more, see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.